//========================================================================================
//	Release Version:	$ ODF 2 $
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//========================================================================================

#ifndef PART_H
#define PART_H

//=======================================================================
// ----- Framework Includes -----
#ifndef FWPART_H
#include "FWPart.h"			// FW_CPart
#endif

//=======================================================================
class FW_CPresentation;
class CDataSaveContent;

//=======================================================================
class CDataSavePart : public FW_CPart {
public:
	FW_DECLARE_AUTO(CDataSavePart)
	
						CDataSavePart(ODPart* odPart);
	virtual 			~CDataSavePart();
// new members
	virtual void 		MyInvalidatePresentation(Environment* ev, FW_CRect& rect);
// overrides
protected:
	virtual FW_CContent* NewPartContent(Environment* ev);
	virtual void 		Initialize(Environment* ev,
									ODStorageUnit* storageUnit, 
									FW_Boolean fromStorage);
	virtual FW_CFrame*	NewFrame(Environment* ev,
								 ODFrame* odFrame,
								 FW_CPresentation* presentation,
								 FW_Boolean fromStorage);
	virtual FW_Handled	DoAbout(Environment* ev);
// new members
private:
	FW_CPresentation*		fPresentation;
	CDataSaveContent*		fPartContent;
};

//=======================================================================
#endif
